#!/bin/bash

# Exceptioniplist
EXIPLIST="/etc/dansguardian/exceptioniplist" 
# Temporaere Exceptioniplist
TMPIPLIST="/etc/dansguardian/exceptioniplist.tmp" 
# webmin_install
WEBMIN_INSTALL="/root/bin/webmin_install.pl"
# Webmin Kommando
COMMANDTEMPLATE="webmin_command"
STATUSTEMPLATE="webmin_status"
# Webmin Eigene Befehle
WEIGENEDIR="/etc/webmin/custom/"
# Befehlsnummer
BNUMMER="1211113"
# Schon mal installiert?
WEBMINCOMMAND=`grep dansguardianoff /etc/webmin/custom/*.cmd | grep action | awk -F. '{print $1}'`
STATUSCOMMAND=`grep dansguardianoff /etc/webmin/custom/*.cmd | grep status | awk -F. '{print $1}'`
if [ ! $WEBMINCOMMAND ]; then WEBMINCOMMAND="new_install"; fi
if [ ! $STATUSCOMMAND  ]; then STATUSCOMMAND="new_install"; fi


if [ ! `grep $TMPIPLIST $EXIPLIST` ]; then
   echo "Die Exceptioniplist muss modifiziert werden..."
   echo ".Include<$TMPIPLIST>" >> $EXIPLIST
   echo "" > $TMPIPLIST
else
  echo "Die Exceptioniplist wurde bereits angepasst."
fi

echo "Sichere das Verzeichnis $WEIGENEDIR in die Datei webmincustom_$$.tgz";
tar cpzf webmincustom_$$.tgz $WEIGENEDIR > /dev/null 2>&1

echo "Kopiere Skript: dansguardianoff.pl nach  /root/bin ..."
cp dansguardianoff.pl /root/bin/


if [  $STATUSCOMMAND != "new_install" ]; then
	echo "Der Befehl wurde bereits installiert ($STATUSCOMMAND)."
        echo "Installiere aktuelle Version...";
        cp $STATUSTEMPLATE.cmd $STATUSCOMMAND.cmd
	cp $STATUSTEMPLATE.html $STATUSCOMMAND.html
else 
        echo "Installiere Webmin Befehl: Statusanzeige";

        $WEBMIN_INSTALL $STATUSTEMPLATE.cmd
        COMMANDNUMBER=`grep dansguardianoff /etc/webmin/custom/*.cmd | grep status | awk -F. '{print $1}'`
        cp $STATUSTEMPLATE.html $COMMANDNUMBER.html
fi


if [  $WEBMINCOMMAND != "new_install" ]; then
	echo "Der Befehl wurde bereits installiert ($WEBMINCOMMAND)."
        echo "Installiere aktuelle Version...";
        cp $COMMANDTEMPLATE.cmd $WEBMINCOMMAND.cmd
	cp $COMMANDTEMPLATE.html $WEBMINCOMMAND.html
else 
        echo "Installiere Webmin Befehl: Filterung";

        $WEBMIN_INSTALL $COMMANDTEMPLATE.cmd
        COMMANDNUMBER=`grep dansguardianoff /etc/webmin/custom/*.cmd | grep action | awk -F. '{print $1}'`
        cp $COMMANDTEMPLATE.html $COMMANDNUMBER.html
fi

